mp_image: add crop to mp_image_params to specify how image should be displayed
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
vo: add --video-crop

Just cropping by VO that works with hwdec.

Fixes: #12222
